package com.ruoyi.common.enums;

/**
 * 数据源
 *
 * @author ruoyi
 */
public enum DataSourceType
{
    /**
     * 主库
     */
    MASTER,

    /**
     * 从库
     */
    SLAVE,

    /**
     * 外部库——ORACLE
     */
    ORACLE,

    /**
     * 外部库——SQLSERVER
     */
    SQLSERVER,

    /**
     * 外部库——PGSQL
     */
    PGSQL,
}
