package com.ruoyi.reservation.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 预约接口接收对象
 */
@Data
@Accessors(chain = true)
public class Reservation implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    //车牌号
    private String carNumber;//"桂E12345",

    //预约状态 0为没有预约，1为已有预约
    private String examineState;

    //提示信息
    private String message;

    //第三方预约标志
    private String thirdFlag;

    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String updateBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
