package com.ruoyi.druid.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 多数据源配置对象 tb_druid_config
 *
 * @author ruoyi
 * @date 2024-07-14
 */
@Data
public class DruidConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 配置名称 */
    @Excel(name = "配置名称")
    private String propertyName;

    /** 是否启用 */
    @Excel(name = "是否启用")
    private Boolean enabled;

    /** 数据库类型 */
    @Excel(name = "数据库类型")
    private String type;

    /** 数据库版本 */
    @Excel(name = "数据库版本")
    private String version;

    /** 数据库驱动 */
    @Excel(name = "数据库驱动")
    private String driverClass;

    /** 数据库名 */
    @Excel(name = "数据库名")
    private String dataBase;

    /** 数据库IP */
    @Excel(name = "数据库IP")
    private String host;

    /** 端口 */
    @Excel(name = "端口")
    private String port;

    /** 用户名 */
    @Excel(name = "用户名")
    private String user;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    /** 驱动名称 */
    @Excel(name = "驱动名称")
    private String jarName;

}
